var tabla;

//funcion que se ejecuta al inicio
function init(){
  
   $("#chequeari").on("click",function(e){
	/* Evitamos el envío real del formulario */
        e.preventDefault(); 
        chequear();
   });
    
    $("#ejemplof").on("click",function(e){
        /* Evitamos el envío real del formulario */
        e.preventDefault(); 
        ejemplof();   
    });

    $("#notac").on("click",function(e){
        /* Evitamos el envío real del formulario */
        e.preventDefault();
        notac();       
    });

    $("#reportex").on("click",function(e){
        /* Evitamos el envío real del formulario */
        e.preventDefault(); 
       	reportex();    
    });

    $("#reportez").on("click",function(e){
        /* Evitamos el envío real del formulario */
        e.preventDefault(); 
		reportez();   
    });

    $("#statuss1").on("click",function(e){
        /* Evitamos el envío real del formulario */
        e.preventDefault(); 
        alert('status');    
    });
   
}


//cancelar form
function cancelarform(){
	
}

//Funciones fiscales
//Funcion para chequear la impresora
function chequear(){
	bootbox.confirm("¿Quiere Chequear la impresora fiscal?", function(result){
		if (result) {
			$.post("controladores/modulofiscalControlador.php?op=chequear", function(e){
				bootbox.alert(e);
				//tabla.ajax.reload();
			});
		}
	})
}

function reportex(){
	bootbox.confirm("¿Quiere imprimir el reporte X?", function(result){
		if (result) {
			$.post("controladores/modulofiscalControlador.php?op=reportex", function(e){
				bootbox.alert(e);
				//tabla.ajax.reload();
			});
		}
	})
}

function reportez(){
	bootbox.confirm("¿Quiere imprimir el reporte Z?", function(result){
		if (result) {
			$.post("controladores/modulofiscalControlador.php?op=reportez", function(e){
				bootbox.alert(e);
				//tabla.ajax.reload();
			});
		}
	})
}

function ejemplof(){
	bootbox.confirm("¿Quiere imprimir una factura de prueba?", function(result){
		if (result) {
			$.post("controladores/modulofiscalControlador.php?op=ejemplof", function(e){
				//bootbox.alert(e);
				console.log(e);
				//tabla.ajax.reload();
			});
		}
	})
}

function notac(){
	bootbox.confirm("¿Quiere imprimir una Nota de credito de prueba?", function(result){
		if (result) {
			$.post("controladores/modulofiscalControlador.php?op=notac", function(e){
				//bootbox.alert(e);
				console.log(e);
				//tabla.ajax.reload();
			});
		}
	})
}


init();